Chromium Code Reviews
Help | Chromium Project | Gerrit Changes | Sign in
(1)

Issue 20495003: Implement interface to Rietveld. (Closed)

Created:
5 years, 9 months ago by Mattias Nissler (ping if slow)
Modified:
5 years, 9 months ago
Reviewers:
agable, iannucci
CC:
chromium-reviews, cmp-cc_chromium.org
Base URL:
https://src.chromium.org/chrome/trunk/tools/
Visibility:
Public.

Description

Implement interface to Rietveld. This is a simple python interface based on Rietveld's HTTP interface, which is being accessed via OAuth2 tokens generated for a service account authenticated via an RSA key. R=agable@chromium.org Committed: https://src.chromium.org/viewvc/chrome?view=rev&revision=215841

Patch Set 1 #

Total comments: 12

Patch Set 2 : #

Total comments: 6

Patch Set 3 : #

Unified diffs Side-by-side diffs Delta from patch set Stats (+177 lines, --1 lines) Patch
A reviewbot/model/__init__.py View 0 chunks +-1 lines, --1 lines 0 comments Download
A reviewbot/model/app_config.py View 1 1 chunk +20 lines, -0 lines 0 comments Download
A reviewbot/rietveld.py View 1 2 1 chunk +90 lines, -0 lines 0 comments Download
A reviewbot/util.py View 1 2 1 chunk +68 lines, -0 lines 0 comments Download

Messages

Total messages: 6 (0 generated)
Mattias Nissler (ping if slow)
This is the python wrapper for OAuth-authenticated HTTP requests to rietveld. Please review!
5 years, 9 months ago (2013-08-02 09:58:10 UTC) #1
agable
https://codereview.chromium.org/20495003/diff/1/reviewbot/model/app_config File reviewbot/model/app_config (right): https://codereview.chromium.org/20495003/diff/1/reviewbot/model/app_config#newcode1 reviewbot/model/app_config:1: from google.appengine.ext import ndb This file appears to be ...
5 years, 9 months ago (2013-08-02 16:35:35 UTC) #2
Mattias Nissler (ping if slow)
PTAL https://chromiumcodereview.appspot.com/20495003/diff/1/reviewbot/model/app_config File reviewbot/model/app_config (right): https://chromiumcodereview.appspot.com/20495003/diff/1/reviewbot/model/app_config#newcode1 reviewbot/model/app_config:1: from google.appengine.ext import ndb On 2013/08/02 16:35:35, Aaron ...
5 years, 9 months ago (2013-08-05 09:08:50 UTC) #3
agable
LGTM % nit and docstrings. https://chromiumcodereview.appspot.com/20495003/diff/1/reviewbot/model/app_config.py File reviewbot/model/app_config.py (right): https://chromiumcodereview.appspot.com/20495003/diff/1/reviewbot/model/app_config.py#newcode19 reviewbot/model/app_config.py:19: config = AppConfig(id = ...
5 years, 9 months ago (2013-08-05 17:38:00 UTC) #4
Mattias Nissler (ping if slow)
Thanks for the review. New version is up, I'll commit this tomorrow. https://chromiumcodereview.appspot.com/20495003/diff/1/reviewbot/model/app_config.py File reviewbot/model/app_config.py ...
5 years, 9 months ago (2013-08-05 18:40:47 UTC) #5
Mattias Nissler (ping if slow)
5 years, 9 months ago (2013-08-06 07:45:15 UTC) #6
Message was sent while issue was closed.
Committed patchset #3 manually as r215841 (presubmit successful).

Powered by Google App Engine
This is Rietveld 408576698